<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    if (app()->environment() == 'production') {
        return redirect('https://www.fenpeiduixiang.com');
    }
});
Route::group(['prefix' => 'q'], function () {
    Route::get('from/{from}/{secret?}', 'Wechat\Qrcode@from');
    Route::get('{param}', 'Wechat\Qrcode@all');
});
Route::get('pq/{param}/{alias?}', 'Wechat\Qrcode@perpetual');
#短信发送验证
Route::group(['prefix' => 'sms'], function () {
    Route::post('verify', 'Core\Oauth@sendVerifyCode');
    Route::get('verify', 'Core\Oauth@checkVerifyCode');
});

Route::get('/test/notice', 'Home@test');

Route::get('qrcode', 'QrCodeController@index');